## ecdsautils 0.3.2%2Bgit20151018

=== debian/changelog ===
ecdsautils (0.3.2+git20151018-2+deb10u1build0.20.04.1) focal-security; urgency=medium

  * fake sync from Debian

 -- Jorge Sancho Larraz <jorge.sancho.larraz@canonical.com>  Mon, 17 Jul 2023 17:33:27 +0200

ecdsautils (0.3.2+git20151018-2+deb10u1) buster-security; urgency=medium

  * debian/patches:
    - Add 0001-verify-fix-signature-verification-CVE-2022-24884.patch,
      Fix CVE-2022-24884: Improper Verification of ECDSA Signatures

 -- Sven Eckelmann <sven@narfation.org>  Thu, 05 May 2022 19:13:10 +0200

ecdsautils (0.3.2+git20151018-2) unstable; urgency=low

  * Fixed build depends (Closes: #802798).

 -- Steffen Moeller <moeller@debian.org>  Sat, 24 Oct 2015 13:51:07 +0200

ecdsautils (0.3.2+git20151018-1) unstable; urgency=low

  * Initial release (Closes: #802255).
  * Added/improved man pages

 -- Steffen Moeller <moeller@debian.org>  Sun, 18 Oct 2015 01:09:23 +0200

ecdsautils (0.3.2-1) unstable; urgency=low

  * ecdsaverify will read from stdin if no file is given

 -- Nils Schneider <nils@nilsschneider.net>  Mon, 21 Jul 2014 14:30:00 +0200

## ecdsautils 0.3.2+git20151018

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ECDSAUTIL C)

find_package(PkgConfig REQUIRED)
pkg_check_modules(UECC REQUIRED libuecc>=3)

set(CMAKE_MODULE_PATH ${ECDSAUTIL_SOURCE_DIR})

add_subdirectory(src)

=== src/CMakeLists.txt ===
ADD_DEFINITIONS(-D_GNU_SOURCE)

INCLUDE(TestBigEndian)
TEST_BIG_ENDIAN(BIGENDIAN)
IF(${BIGENDIAN})
  ADD_DEFINITIONS(-DWORDS_BIGENDIAN)
ENDIF(${BIGENDIAN})

list(APPEND CMAKE_REQUIRED_DEFINITIONS '-D_GNU_SOURCE')

INCLUDE(CheckPrototypeDefinition)
check_prototype_definition(qsort_r
 "void qsort_r(void *base, size_t nmemb, size_t size, int (*compar)(const void *, const void *, void *), void *arg)"
 ""
 "stdlib.h"
 LINUX_QSORT_R)

IF(${LINUX_QSORT_R})
  ADD_DEFINITIONS(-DLINUX_QSORT_R)
ENDIF(${LINUX_QSORT_R})


check_prototype_definition(qsort_r
 "void qsort_r(void *base, size_t nel, size_t width, void *thunk, int (*compar)(void *, const void *, const void *))"
 ""
 "stdlib.h"
 BSD_QSORT_R)

IF(${BSD_QSORT_R})
  ADD_DEFINITIONS(-DBSD_QSORT_R)
ENDIF(${BSD_QSORT_R})


include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${ECDSAUTIL_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR} ${UECC_INCLUDE_DIRS})
link_directories(${UECC_LIBRARY_DIRS})

add_executable(ecdsakeygen keygen.c hexutil.c random.c ecdsa.c version.c)
add_executable(ecdsasign sign.c hexutil.c random.c ecdsa.c hmac_sha256.c sha256_file.c sha256sum.c)
add_executable(ecdsaverify verify.c hexutil.c random.c ecdsa.c sha256_file.c sha256sum.c array.c)

set_target_properties(ecdsakeygen PROPERTIES COMPILE_FLAGS "-std=c99 -Wall" ${UECC_CFLAGS_OTHER} LINK_FLAGS "" ${UECC_LDFLAGS_OTHER})
target_link_libraries(ecdsakeygen ${UECC_LIBRARIES})

set_target_properties(ecdsasign PROPERTIES COMPILE_FLAGS "-std=c99 -Wall" ${UECC_CFLAGS_OTHER} LINK_FLAGS "" ${UECC_LDFLAGS_OTHER})
target_link_libraries(ecdsasign ${UECC_LIBRARIES})

set_target_properties(ecdsaverify PROPERTIES COMPILE_FLAGS "-std=c99 -Wall" ${UECC_CFLAGS_OTHER} LINK_FLAGS "" ${UECC_LDFLAGS_OTHER})
target_link_libraries(ecdsaverify ${UECC_LIBRARIES})

install(TARGETS ecdsakeygen ecdsasign ecdsaverify RUNTIME DESTINATION bin)

=== debian/changelog ===
ecdsautils (0.3.2+git20151018-2~bpo8+1) jessie-backports; urgency=low

  * Straight backport, initial upload.

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 May 2016 21:04:27 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

CFLAGS+=-flto
CXXFLAGS+=-flto
LDFLAGS+=-flto


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

## ecdsautils 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ECDSAUTIL C)
set(ECDSAUTIL_VERSION 0.4.1)

set(CMAKE_MODULE_PATH ${ECDSAUTIL_SOURCE_DIR})
find_package(libuecc REQUIRED)

set(DOXYFILE_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src/lib")
set(DOXYFILE_EXTRA_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/include")
include(UseDoxygen OPTIONAL)

set(LIBDIR "lib${LIB_SUFFIX}")

set(BUILD_SHARED_LIBS TRUE CACHE BOOL "Build shared libraries")

add_subdirectory(src)

=== src/CMakeLists.txt ===
include_directories(${ECDSAUTIL_SOURCE_DIR}/include ${LIBUECC_INCLUDE_DIR})

add_subdirectory(cli)
add_subdirectory(lib)

=== src/cli/CMakeLists.txt ===
add_definitions(-DECDSAUTIL_VERSION="${ECDSAUTIL_VERSION}")


add_executable(ecdsautil ecdsautil.c keygen.c sign.c verify.c hexutil.c random.c version.c sha256_file.c set.c)

set_target_properties(ecdsautil PROPERTIES COMPILE_FLAGS "-std=c99 -Wall ${LIBUECC_CFLAGS_OTHER}" LINK_FLAGS "${LIBUECC_LDFLAGS_OTHER}")
target_link_libraries(ecdsautil libecdsautil ${LIBUECC_LIBRARIES})

install(TARGETS ecdsautil RUNTIME DESTINATION bin)

if(CMAKE_HOST_UNIX)
  install(CODE "
    EXECUTE_PROCESS(
      COMMAND ln -sf ecdsautil ecdsakeygen
      COMMAND ln -sf ecdsautil ecdsasign
      COMMAND ln -sf ecdsautil ecdsaverify
      WORKING_DIRECTORY \$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/bin
    )
  ")
endif(CMAKE_HOST_UNIX)

=== src/lib/CMakeLists.txt ===
set(ECDSAUTIL_ABI 0) # Increment for ABI-breaking changes

include(TestBigEndian)
test_big_endian(BIGENDIAN)
if(BIGENDIAN)
  add_definitions(-DWORDS_BIGENDIAN)
endif(BIGENDIAN)

add_library(libecdsautil
  ecdsa.c
  sha256.c
)
set_target_properties(libecdsautil PROPERTIES
  OUTPUT_NAME ecdsautil
  SOVERSION ${ECDSAUTIL_ABI}
  COMPILE_FLAGS "-Wall -std=c99 ${LIBUECC_CFLAGS_OTHER}"
  LINK_FLAGS "${LIBUECC_LDFLAGS_OTHER}"
)
target_link_libraries(libecdsautil ${LIBUECC_LIBRARIES})

install(TARGETS libecdsautil
  ARCHIVE DESTINATION ${LIBDIR}
  LIBRARY DESTINATION ${LIBDIR}
  RUNTIME DESTINATION bin
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ecdsautil.pc.in ${CMAKE_CURRENT_BINARY_DIR}/ecdsautil.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ecdsautil.pc DESTINATION "${LIBDIR}/pkgconfig")

file(GLOB include_files "${ECDSAUTIL_SOURCE_DIR}/include/ecdsautil/*.h")
install(FILES ${include_files} DESTINATION "include/ecdsautil-${ECDSAUTIL_VERSION}/ecdsautil")

=== debian/changelog ===
ecdsautils (0.4.1-3) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 09:33:21 +0100

ecdsautils (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
    - Fix pattern for sha25sum
    - Update copyright years to 2022
  * debian/control:
    - Upgraded to policy 4.6.1, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 18:26:19 +0100

ecdsautils (0.4.1-1) unstable; urgency=high

  * Team upload.
  * New Upstream Version
    - CVE-2022-24884: Improper Verification of ECDSA Signatures
  * Add debian/upstream/metadata
  * Add debian/watch
  * debian/control:
    - Switch to compat 13
    - Switch maintainer to Debian CommunityWLAN Team
    - Switch to non-deprecated Pritiory optional
    - Allow build without root
    - Fix URL to homepage
    - Switch to Debian Salsa for repository
    - Upgraded to policy 4.6.0, no changes required
  * debian/rules
    - Enable all hardening options
  * Update debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 06 May 2022 12:04:19 +0200

=== debian/control ===
Source: ecdsautils
Section: utils
Priority: optional
Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/freifunk-gluon/ecdsautils
Vcs-Git: https://salsa.debian.org/communitywlan-team/ecdsautils.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/communitywlan-team/ecdsautils
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libuecc-dev,
 pkg-config,

Package: ecdsautils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ECDSA elliptic curve cryptography command line tools
 The package provides a series of tools to support, all
 on the basis of the uecc library the
  * generation
  * signing
  * verifification
 of keys for elliptic key cryptography.
 -
 The package became popular in the Freifunk Wireless
 networks communities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS+=-flto
CXXFLAGS+=-flto
LDFLAGS+=-flto

CMAKE_EXTRA_FLAGS :=
CMAKE_EXTRA_FLAGS += -DBUILD_SHARED_LIBS=OFF

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_configure

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ecdsautils-$1\.tar\.gz/ \
  https://github.com/freifunk-gluon/ecdsautils/tags .*/v?(\d\S+)\.tar\.gz

## ecdsautils 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.8.3)
 project(ECDSAUTIL C)
-set(ECDSAUTIL_VERSION 0.4.1)
+set(ECDSAUTIL_VERSION 0.4.2)
 
 set(CMAKE_MODULE_PATH ${ECDSAUTIL_SOURCE_DIR})
 find_package(libuecc REQUIRED)

=== debian/changelog ===
ecdsautils (0.4.2-3) unstable; urgency=medium

  * Team upload.
  * debian/patches:
    - Add Fix-build-with-CMake-4.patch, Fix build with CMake 4
      (Closes: #1112864)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 01 Sep 2025 11:04:53 +0200

ecdsautils (0.4.2-2) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.7.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 01 Mar 2025 20:57:43 +0100

ecdsautils (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New Upstream Version
  * debian/rules:
    - Use DEB_BUILD_MAINT_OPTIONS to set lto flags
  * debian/control:
    - Replace pkg-config with pkgconf
  * debian/watch:
    - Switch to api.github.com to check for releases

 -- Sven Eckelmann <sven@narfation.org>  Wed, 09 Oct 2024 20:52:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian CommunityWLAN Team <team+communitywlan@tracker.debian.org>
 Uploaders:
  Steffen Moeller <moeller@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/freifunk-gluon/ecdsautils
 Vcs-Git: https://salsa.debian.org/communitywlan-team/ecdsautils.git -b debian/unstable
@@ -13,7 +13,7 @@
  cmake,
  debhelper-compat (= 13),
  libuecc-dev,
- pkg-config,
+ pkgconf,
 
 Package: ecdsautils
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-CFLAGS+=-flto
-CXXFLAGS+=-flto
-LDFLAGS+=-flto
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
 
 CMAKE_EXTRA_FLAGS :=
 CMAKE_EXTRA_FLAGS += -DBUILD_SHARED_LIBS=OFF

=== debian/watch ===
version=4

opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/freifunk-gluon/@PACKAGE@/tags?per_page=100 \
    https://api.github.com/repos/freifunk-gluon/@PACKAGE@/tarball/refs/tags/@ANY_VERSION@
